Description

Hi,

i get the following error if i try to curl the api with oauth. is it a bug?

 curl  -X GET -s -k  'https://192.168.85.32/api/hostgroups/Cloudstack%20KVM/hosts' -H 'Content-Typ

e: application/json' -H 'Accept: application/json,version=2' -H 'FOREMAN-USER: admin' -H 'Authoriz

ation: OAuth oauth_version="1.0",oauth_consumer_key="QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P",oauth_signa

ture_method="hmac-sha1"'

 
2017-02-08 22:30:19 d8a9e4d0 [app] [I] Started GET "/api/hostgroups/Cloudstack%20KVM/hosts" for 19

2.168.85.32 at 2017-02-08 22:30:19 +0100

2017-02-08 22:30:19 d8a9e4d0 [app] [I] Processing by Api::V2::HostsController#index as JSON

2017-02-08 22:30:19 d8a9e4d0 [app] [I]   Parameters: {"apiv"=>"v2", "hostgroup_id"=>"Cloudstack KV

M", :host=>{}}

2017-02-08 22:30:19 d8a9e4d0 [app] [W] Action failed

 | NoMethodError: undefined method `unpack' for nil:NilClass

 | /opt/rh/rh-ruby22/root/usr/share/ruby/base64.rb:58:in `decode64'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/oauth-0.4.7/lib/oauth/signature/base.rb:69:in `=='

 | /opt/theforeman/tfm/root/usr/share/gems/gems/oauth-0.4.7/lib/oauth/signature/base.rb:73:in `ver

ify'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/oauth-0.4.7/lib/oauth/signature.rb:28:in `verify'

 | /usr/share/foreman/app/services/sso/oauth.rb:20:in `authenticate!'

 | /usr/share/foreman/app/services/sso/oauth.rb:36:in `authenticated?'

 | /usr/share/foreman/app/controllers/concerns/foreman/controller/authentication.rb:62:in `sso_aut

hentication'

 | /usr/share/foreman/app/controllers/concerns/foreman/controller/authentication.rb:14:in `authent

icate'

 | /usr/share/foreman/app/controllers/api/base_controller.rb:160:in `authorize'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:145:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:145:in `block in halting_and_conditional'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:504:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_c

ontroller/caching/sweeping.rb:73:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_process_action_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:19:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/resc

ue.rb:29:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:32:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons/instrumenter.rb:20:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:30:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/para

ms_wrapper.rb:250:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/con

troller_runtime.rb:18:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

137:in `process'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:

in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:1

96:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack

_delegation.rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:2

37:in `block in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:43:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/mapp

er.rb:49:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:43:in `block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:815:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/static_dispatcher.rb

:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/extractor/recorder.r

b:132:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:25:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/p

arams_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/f

lash.rb:260:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `

context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `

call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

ookies.rb:560:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.

rb:36:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/connection_pool.rb:653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:88:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:778:in `_run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

emote_ip.rb:78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/d

ebug_exceptions.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

how_exceptions.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `ca

ll_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `ca

ll'

 | /usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

equest_id.rb:21:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/stra

tegy/local_cache_middleware.rb:28:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware

.rb:12:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `publi

c_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `metho

d_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_pro

cess_next_request'

 | /usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

 | /usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_thr

eads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'

2017-02-08 22:30:19 d8a9e4d0 [app] [I]   Rendered api/v2/errors/standard_error.json.rabl within ap

i/v2/layouts/error_layout (2.6ms)

2017-02-08 22:30:19 d8a9e4d0 [app] [I] Completed 500 Internal Server Error in 38ms (Views: 5.8ms |

 ActiveRecord: 3.1ms)

{

  "error": {"message":"undefined method `unpack' for nil:NilClass"}

}

 maybe anybody can help.

thanks

Sven

History

#1 - 02/08/2017 04:57 PM - Sven Vogel

additional i need to say that i dont have this problem when i use username and password with curl. the problem exists when i use oauth.
#2 - 02/09/2017 03:20 AM - Dominic Cleal

- Description updated

#3 - 02/09/2017 03:33 AM - Dominic Cleal

- Status changed from New to Feedback

The request is probably missing a signature, I don't think cURL will generate OAuth 1.0 signatures. Use cURL's debug modes (e.g. -i or -vv) to check

if the signature is in the request headers.

#4 - 02/09/2017 04:41 AM - Sven Vogel

Dominic Cleal wrote:

The request is probably missing a signature, I don't think cURL will generate OAuth 1.0 signatures. Use cURL's debug modes (e.g. -i or -vv) to

check if the signature is in the request headers.

 Hi Dominic,

i dont see a signature? what can  do?

[root@katello01 ~]#  curl  -X GET -s -k  'https://192.168.85.32/api/hostgroups/Cloudstack%20KVM/hosts' -H 'Content-Type: application/json' -H

'Accept: application/json,version=2' -H 'FOREMAN-USER: admin' -H 'Authorization: OAuth

oauth_version="1.0",oauth_consumer_key="QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P",oauth_signature_method="hmac-sha1"' -vv

About to connect() to 192.168.85.32 port 443 (#0)

Trying 192.168.85.32...

Connected to 192.168.85.32 (192.168.85.32) port 443 (#0)

Initializing NSS with certpath: sql:/etc/pki/nssdb

skipping SSL peer certificate verification

NSS: client certificate not found (nickname not specified)

SSL connection using TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384

Server certificate:

subject: CN=katello01.oscloud.local,OU=SomeOrgUnit,O=Katello,ST=North Carolina,C=US

start date: Apr 02 12:09:28 2016 GMT

expire date: Apr 04 12:09:28 2036 GMT

common name: katello01.oscloud.local

issuer: CN=katello01.oscloud.local,OU=SomeOrgUnit,O=Katello,L=Raleigh,ST=North Carolina,C=US

GET /api/hostgroups/Cloudstack%20KVM/hosts HTTP/1.1

User-Agent: curl/7.29.0

Host: 192.168.85.32

Content-Type: application/json

Accept: application/json,version=2

FOREMAN-USER: admin

Authorization: OAuth

oauth_version="1.0",oauth_consumer_key="QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P",oauth_signature_method="hmac-sha1"

< HTTP/1.1 500 Internal Server Error

< Date: Thu, 09 Feb 2017 09:19:03 GMT

< Server: Apache/2.4.6 (CentOS)

< Apipie-Checksum: 27c9623458579c223d3de026ee630a31

< Cache-Control: no-cache

< X-Request-Id: 646963f8-c205-4588-bab7-d1df7b377d48

< X-Runtime: 0.031262

< Content-Security-Policy: default-src 'self'; child-src 'self'; connect-src 'self' ws: wss:; img-src 'self' data: *.gravatar.com; script-src 'unsafe-eval'

'unsafe-inline' 'self'; style-src 'unsafe-inline' 'self'

< Strict-Transport-Security: max-age=631152000; includeSubdomains

< X-Content-Type-Options: nosniff

< X-Download-Options: noopen

< X-Frame-Options: sameorigin

< X-Permitted-Cross-Domain-Policies: none

< X-XSS-Protection: 1; mode=block

< X-Powered-By: Phusion Passenger 4.0.53

< Status: 500 Internal Server Error

< Connection: close

< Transfer-Encoding: chunked

< Content-Type: application/json; charset=utf-8

< {

"error": {"message":"undefined method `unpack' for nil:NilClass"}

}
Closing connection 0

greetings

Sven

#5 - 02/09/2017 04:53 AM - Dominic Cleal

- Status changed from Feedback to Rejected

Yes, the signature is missing. The error is probably from you sending an OAuth request but without the signature.

I don't think cURL can generate a signature for its requests - use a client that can, e.g. ruby-oauth.

#6 - 02/09/2017 05:41 AM - Sven Vogel

- File oauth.PNG added

Hi Dominic,

i tried postman from chrome, its a rest client and when i send all things...i get the following

https://192.168.85.32/api/v2/hostgroups/Cloudstack%20KVM/hosts?oauth_consumer_key=QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P&oauth_signatur

e_method=HMAC-SHA1&oauth_timestamp=1486636720&oauth_nonce=QLhri0&oauth_version=1.0&oauth_signature=3PquppNL5ASVvkL3tzSz6k/k

xvQ=

but with error

{

"error": {

"message": "User  kann nicht authentifiziert werden"

}

}

normally it should work... user can not be authenticated

#7 - 02/09/2017 05:44 AM - Sven Vogel

ok my fault, i forgott the FOREMAN-USER Header. all things good.

thanks for help Dominic

Files

oauth.PNG 57.8 KB 02/09/2017 Sven Vogel

Powered by TCPDF (www.tcpdf.org)

05/20/2024 6/6

https://192.168.85.32/api/v2/hostgroups/Cloudstack%20KVM/hosts?oauth_consumer_key=QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1486636720&oauth_nonce=QLhri0&oauth_version=1.0&oauth_signature=3PquppNL5ASVvkL3tzSz6k/kxvQ=
https://192.168.85.32/api/v2/hostgroups/Cloudstack%20KVM/hosts?oauth_consumer_key=QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1486636720&oauth_nonce=QLhri0&oauth_version=1.0&oauth_signature=3PquppNL5ASVvkL3tzSz6k/kxvQ=
https://192.168.85.32/api/v2/hostgroups/Cloudstack%20KVM/hosts?oauth_consumer_key=QqoGdUDXxhNs3cXcNUoiSBrfpcwt5G9P&oauth_signature_method=HMAC-SHA1&oauth_timestamp=1486636720&oauth_nonce=QLhri0&oauth_version=1.0&oauth_signature=3PquppNL5ASVvkL3tzSz6k/kxvQ=
http://www.tcpdf.org

